<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'My Society' | translate }}</ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>
    <div *ngIf="!this.cache?.isLoading">

        <ion-card>
            <ion-item>
                <ion-avatar slot="start">
                    <img [src]="this.cache?.objects[0]?.society.profilePicture.content">
                </ion-avatar>
                <ion-label>{{this.cache?.objects[0]?.society?.name}}</ion-label>
            </ion-item>
            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-label>
                            <ion-icon name="briefcase"></ion-icon>
                            {{ 'Committee' | translate }}
                        </ion-label>
                    </ion-row>
                    <ion-row>
                        <ion-card *ngFor="let committeeMember of this.committeeMemberCache?.objects">
                            <ion-item class="ion-no-margin">
                                <ion-avatar slot="start">
                                    <img [src]="committeeMember?.resident?.profilePicture.content">
                                </ion-avatar>
                                <ion-grid>
                                    <ion-row>
                                        <ion-label>{{committeeMember?.resident?.name}}
                                        </ion-label>
                                    </ion-row>
                                    <ion-row>
                                        <ion-label style="font-size: smaller;">{{committeeMember?.role}}</ion-label><br>
                                    </ion-row>
                                </ion-grid>
                                
                                <ion-icon
                                        *ngIf="committeeMember?.resident?.phone != null"
                                        name="call" color="primary"
                                        (click)=callCommitteeMember(committeeMember?.resident?.phone)>
                                    </ion-icon>
                            </ion-item>
                        </ion-card>
                    </ion-row>
                </ion-grid>
            </ion-item>

            <ion-item>
                <ion-grid>
                    <ion-row>
                        <ion-label>
                            <ion-icon name="home"></ion-icon>
                            {{this.cache?.objects[0]?.name}}
                        </ion-label>
                    </ion-row>
                    <ion-row>
                        <ion-label>
                            <ion-icon name="people"></ion-icon>
                            {{ 'Members' | translate }}
                        </ion-label>
                    </ion-row>
                    <ion-row>
                        <ion-card *ngFor="let facilitySubscriber of this.cache?.objects[0]?.facilitySubscribers">
                            <ion-grid>
                                <ion-row>
                                    <ion-item>
                                        <ion-avatar slot="start">
                                            <img [src]="facilitySubscriber?.profilePicture.content">
                                        </ion-avatar>
                                        <ion-label>
                                            {{facilitySubscriber?.name}}
                                        </ion-label>
                                    </ion-item>
                                </ion-row>
                                <ion-row>
                                    <ion-label>
                                        <ion-icon name="mail"></ion-icon>
                                        {{facilitySubscriber?.emailId}}
                                    </ion-label>
                                </ion-row>
                                <ion-row>
                                    <ion-label>
                                        <ion-icon name="person"></ion-icon>
                                        {{facilitySubscriber?.residentType}}
                                    </ion-label>
                                </ion-row>
                            </ion-grid>
                        </ion-card>
                    </ion-row>
                </ion-grid>
            </ion-item>

        </ion-card>

        <ng-template #elseBlock>
            <ion-card>
                <ion-item>
                    <ion-label>
                        {{ 'You are not a member of any Society.' | translate }}
                    </ion-label>
                </ion-item>
            </ion-card>
        </ng-template>

        <div style="height: 100px;">&nbsp;</div>
    </div>

    <ion-card *ngIf="this.cache?.isLoading">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>

</ion-content>